add dependences needed run make-jpkg (Closes: #782132)
[sven/java-package.git] / debian / changelog
1 java-package (0.59) UNRELEASED; urgency=medium
2
3   * Team upload.
4   * Upload to unstable.
5   * Add following dependencies to address build failures for dpkg-shlibdeps
6     errors during make-jpkg of JDK/JRE:
7     libgl1-mesa-glx libfontconfig1 libxslt1.1 libxtst6 libxxf86vm1 libgtk2.0-0
8     (Closes: #782132)
9
10  -- tony mancill <tmancill@debian.org>  Sat, 16 May 2015 13:46:27 -0700
11
12 java-package (0.58) experimental; urgency=medium
13
14   [ Francesc Zacarias ]
15   * New --with-system-certs option to use the system keystore (Closes: #776395)
16
17   [ Emmanuel Bourg ]
18   * Removed the generated package mistakenly included in the source package
19     (Closes: #779727)
20
21  -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Mar 2015 00:09:05 +0100
22
23 java-package (0.57) experimental; urgency=medium
24
25   * Team upload.
26   * Include Java 8 in the help message of make-jpkg (Closes: #775977)
27   * Provide all runtimes since Java 5, thanks to Laurens Blankers
28     (Closes: #775987)
29   * Added more command line tool alternatives: jmc and jvisualvm
30     (Closes: #676877)
31   * Standards-Version updated to 3.9.6 (no changes)
32
33  -- Emmanuel Bourg <ebourg@apache.org>  Sun, 25 Jan 2015 00:02:59 +0100
34
35 java-package (0.56) unstable; urgency=medium
36
37   * Team upload.
38   * Do not Build-Depends libavcodec53 and libavformat53 for Java 8.
39     Thanks to Chris Jester-Young for the patch. (Closes: #751974)
40   * Set the urcency of the guest package to medium.
41
42  -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 20 Jun 2014 11:10:45 +0200
43
44 java-package (0.55) unstable; urgency=medium
45
46   [ tony mancill ]
47   * Team upload.
48   * Add lsb-release to Depends (used in make-jpkg).
49   * Apply patch to honor --revision argument.
50     Thanks to Alberto Caso Palomino. (Closes: #743919)
51
52   [ Emmanuel Bourg ]
53   * Bumped the Standards-Version of the generated package to 3.9.5
54   * Use debhelper level 9 in the generated package
55
56   [ Benjamin Drung ]
57   * Add a debian/rules file to the generated source package.
58   * Use dpkg-buildpackage to build the guest package.
59   * Add ${misc:Depends} to the guest dependency.
60   * Add --source option to build a source package instead of a binary deb
61     package. (Closes: #745762)
62   * Replace lsb_release call by dpkg-vendor call.
63   * Convert copyright file content to UTF-8 for guest debian/copyright.
64   * Remove trailing spaces from copyright file.
65   * Create build depends for JDK guest package.
66
67  -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 17 Jun 2014 20:41:39 +0200
68
69 java-package (0.54) unstable; urgency=medium
70
71   * Team upload.
72   * Added support for ARM VFP/hard-float JDK releases.
73     Thanks to Christopher Huhn <C.Huhn@gsi.de> (Closes: #724455)
74   * Added more command line tool alternatives: jcmd, jdeps, jhat, jrunscript,
75     schemagen, wsgen, wsimport and xjc
76   * Standards-Version updated to 3.9.5 (no changes)
77   * Removed the suggested dependency on openjdk-6-jre
78   * Switch to debhelper level 9
79
80  -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Mar 2014 18:44:58 +0100
81
82 java-package (0.53) unstable; urgency=low
83
84   * Team upload.
85   * Added support for early access releases (Closes: #721136)
86   * Added support for GA and FCS releases
87   * Excluded the fxavcodecplugin libraries used by JavaFX from the dependency
88     calculation performed by dh_shlibdeps to avoid errors (Closes: #687075)
89   * Updated the package description and debian/README.Debian:
90     - no longer recommend openjdk-6
91     - mention the compatibility with Java 8
92   * Removed 'Replaces: ${j2se_package}debian' from the generated control file
93   * Adjusted the disk space required to unpack the Java 8 documentation
94   * Updated the manpages for Java 8
95   * Updated debhelper level to 7
96   * debian/rules: Use dh_prep instead of dh_clean -k
97   * Removed the recommended dependency on libstdc++5 from the generated
98     control file (used by the now unsupported IBM JDK 5)
99   * Removed the recommended dependency on libgtk1.2 from the generated
100     control file (removed from Squeeze)
101   * Removed the recommended dependency on libx11-6 and libasound2 from
102     the generated control file (these dependencies are already injected
103     by dh_shlibdeps)
104   * Removed the references to "Java 2" from the description of the generated
105     JRE package
106   * Changed the short description of the generate packages to match
107     the official name
108
109  -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2013 14:42:43 +0200
110
111 java-package (0.52) unstable; urgency=low
112
113   [ Sylvestre Ledru ]
114   * Team upload
115   * Upload to unstable
116   * Ack the NMU of David Prévot (thanks!)
117   * Standards-Version updated to version 3.9.4
118   * Remove obsolete variable from the changelog
119   * Add support of ARM upstream binary by James Page and Matthias Vill.
120     Thanks guys! (Closes: #687375)
121   * Change the installation path from
122     /usr/lib/jvm/jdk-6.38-oracle-x64 or /usr/lib/jvm/jdk-7.10-oracle-x64
123     to
124     /usr/lib/jvm/jdk-6-oracle-x64 and /usr/lib/jvm/jdk-7-oracle-x64
125     Thanks to Constantin Makshin for the patch (Closes: #696227)
126
127   [ Cédric Pineau ]
128   * Fix lintian errors and warnings
129
130   [ Gabriele Giacone ]
131   * Add {mozilla,firefox}-javaplugin.so for update-java-alternatives.
132   * Fix plugin directories. Closes: #686216
133
134   [ Emmanuel Bourg ]
135   * Switched to the 3.0 (native) package format
136   * debian/control: Use canonical URLs for the Vcs-* fields
137   * debian/copyright: Switched to the Machine-readable format 1.0
138   * Updated the manpages to reflect the latest naming changes
139   * Removed the unused provided dependencies (j2sdk<version>, j2re<version>)
140   * Provide the java<version-1>-runtime and java<version-2>-runtime dependencies
141     (Closes: #691063)
142   * Provide the java<version>-sdk dependencies to match the openjdk package
143   * Use the upstream versioning scheme (i.e 7u13 instead of 7.13)
144     to match the convention used by the new openjdk packages
145   * Renamed the script files (j2sdk->jdk, j2re->jre, j2se->javase)
146
147  -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2013 13:43:55 +0200
148
149 java-package (0.51~exp1) experimental; urgency=low
150
151   * Add firefox-javaplugin.so alternative Closes: #673670 and LP: #1024368
152   * Add java5 and 6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993 and LP: #995655
153   * Drop installation debconf note Closes: #685082
154   * Correct handling of amd64 in oracle-jdk6.1->4 and improve error message when used with unknown archives
155   * Add support for earlier oracle-jdk6 version
156
157   [Emmanuel Bourg]
158   * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates) Closes: #597294
159   * Brand and naming cleanup
160   * Documentation directory changed to be /usr/share/doc/oracle-javaV-doc (for oracle)
161
162   [Joerg Schirottke]
163   * Add mozilla-javaplugin.so alternative
164
165  -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 18 Aug 2012 11:00:34 +0200
166
167 java-package (0.50+nmu2) unstable; urgency=high
168
169   * Non-maintainer upload.
170   * Allow two digits in Java 7 updates. Closes: #597294, #698108
171
172  -- David Prévot <taffit@debian.org>  Tue, 15 Jan 2013 15:06:26 -0400
173
174 java-package (0.50+nmu1) unstable; urgency=low
175
176   * Non-maintainer upload.
177   * Drop installation debconf note. Closes: #685082
178
179  -- David Prévot <taffit@debian.org>  Thu, 06 Sep 2012 18:38:03 -0400
180
181 java-package (0.50) unstable; urgency=low
182
183   * Java-package reset for reintroduction in debian (removal of all
184     previously supported jvm, global refactoring).
185   * Add support for Oracle Java 6 (update >= 10)
186   * Add support for Oracle Java 7
187   * Add support for .jinfo file (update-java-alternatives tool)
188   * Use jdk included jre binaries (jdk/jre/bin/*)
189   * Print usage information on install
190
191   [ Sylvestre Ledru ]
192   * Long description removed
193   * debian-rules-missing-recommended-target removed
194   * maintainer-script-lacks-debhelper-token removed
195   * Declare the debian/compat to 7 to avoid warnings
196
197   [ Michael Koch ]
198   * Remove Java plugins for all browsers (Closes: #367887).
199   * Add support for Sun Java 6 Update XX (Closes: #514364).
200
201  -- Cédric Pineau <cedric.pineau@gmail.com>  Thu, 22 Dec 2011 11:42:13 +0100
202
203 java-package (0.42) unstable; urgency=low
204
205   * Provide java*-runtime-headless and java*-sdk names for generated
206     packages.
207   * Recommend dpkg-dev and gcc. Closes: #281766, #405814.
208
209  -- Matthias Klose <doko@debian.org>  Sat, 02 Aug 2008 12:10:52 +0200
210
211 java-package (0.41) unstable; urgency=low
212
213   * Added support for new SUN JDK/JRE for amd64 downloads. Thanks to
214     Artyom Gavrichenkov for the initial patch.
215
216  -- Michael Koch <konqueror@gmx.de>  Fri, 21 Mar 2008 17:20:35 +0100
217
218 java-package (0.40) unstable; urgency=low
219
220   * Add support for ibm-java2-sdk-5.0-6.0-linux-$arch.tgz. Closes: #462399
221     Thanks to Evgeni Dobrev for the patch.
222   * Fixed spelling error in long description: debian -> Debian.
223
224  -- Michael Koch <konqueror@gmx.de>  Thu, 24 Jan 2008 22:48:46 +0100
225
226 java-package (0.39) unstable; urgency=low
227
228   * Added support for IBM JDK 6.0 final release.
229   * Updated Standard-Version to 3.7.3.
230   * Updated debhelper level to 5.
231
232  -- Michael Koch <konqueror@gmx.de>  Tue, 18 Dec 2007 07:38:34 +0100
233
234 java-package (0.38) unstable; urgency=low
235
236   * Mention SUN JDK 6 in REAME.Debian. Closes: #448258.
237   * Fixed typo when creating version number for SUN JDK 6. Closes: #451935.
238   * Fix handling of symlinks for ControlPanel, HtmlConverter and java-rmi.cgi
239     from SUN JDK 6. Closes: #448351.
240
241  -- Michael Koch <konqueror@gmx.de>  Fri, 30 Nov 2007 00:03:50 +0100
242
243 java-package (0.37) unstable; urgency=low
244
245   * Added libstdc++5 to Recommends of generated package. Closes: #446334.
246
247  -- Michael Koch <konqueror@gmx.de>  Thu, 25 Oct 2007 22:45:42 +0200
248
249 java-package (0.36) unstable; urgency=low
250
251   * Fixed package description to include more supported JDKs.
252     Closes: #447615, #447617.
253
254  -- Michael Koch <konqueror@gmx.de>  Wed, 24 Oct 2007 09:56:52 +0200
255
256 java-package (0.35) unstable; urgency=low
257
258   * Use 'date -R' instead of the deprecated '822-date'. Closes: #441229.
259   * Fix generation of .changes file. Closes: #332643.
260     Thanks to Christoph Goehre for the patch.
261   * Add possibility to add a configured revision to the version.
262     Closes: #442246. Thanks to Christoph Goehre again for the patch.
263
264  -- Michael Koch <konqueror@gmx.de>  Fri, 14 Sep 2007 17:28:13 +0200
265
266 java-package (0.34) unstable; urgency=low
267
268   * Fixed SUN JDK on amd64. Closes: #439221.
269
270  -- Michael Koch <konqueror@gmx.de>  Fri, 24 Aug 2007 00:41:54 +0200
271
272 java-package (0.33) unstable; urgency=low
273
274   * Fixed postinst scripts for SUN JDK 1.4, 5 and 6. Closes: #435632.
275
276  -- Michael Koch <konqueror@gmx.de>  Thu, 02 Aug 2007 18:43:40 +0200
277
278 java-package (0.32) unstable; urgency=low
279
280   * Added support for iceweasel. Closes: #433445.
281   * Fix dangling links for SUN Java 5. Closes: #305053.
282   * Depend on libx11-6 and libasound2. Closes: #289004.
283   * Fix building on ia64. Closes: #355465.
284
285  -- Michael Koch <konqueror@gmx.de>  Thu, 19 Jul 2007 22:51:31 +0200
286
287 java-package (0.31) unstable; urgency=low
288
289   * Reapplied changes from 0.28 to 0.29. Closes: 322843.
290
291  -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:16:14 +0200
292
293 java-package (0.30) unstable; urgency=low
294
295   * Added support for SUN JDK 6u2 (and following updates).
296   * Added support for ibm-java2-jre-5.0-5.0-linux-ppc.tgz.
297     Thanks to B. Zhang.
298
299  -- Michael Koch <konqueror@gmx.de>  Sun, 08 Jul 2007 09:33:29 +0200
300
301 java-package (0.29) unstable; urgency=low
302
303   * Added support for SUN Java 6 and IBM Java 6.
304     Closes: #322843, #402642, #418592, #425508, #430026.
305   * Added myself to Uploaders.
306
307  -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 17:40:04 -0100
308
309 java-package (0.28) unstable; urgency=low
310
311   * Modified to reflect migration to Subversion
312   * Bumped standards to version 3.7.2, no changes
313   * Corrected test for AMD64 architecture during plug-in detection
314   * Corrected detected version for IBM Java 5 JDK on AMD64 (Closes: #345775)
315   * Repaired alternatives handling for IBM Java 5 JREs and JDKs
316     (Closes: #338569)
317   * Corrected pathing for alternatives installation for Mozilla and
318     Firefox plugins (Closes: #341751)
319   * Relaxed architectural restrictions on plugin alternative
320     installation for IBM Java 5 JREs and JDKs (Closes: #343837)
321   * Added plugin installation for the new packaging of Firefox 1.5 and
322     later (Closes: #341749)
323   * Modified warning suppression for dh_shlibdeps to accommodate
324     changes in dpkg-dev (Closes: #354427)
325   * Added quotes to variable tests for maintainer name and email
326     (Closes: #342623)
327   * Refactored architecture evaluation to eliminate repetition and
328     evaluate DEB_BUILD_GNU_TYPE correctly for i486-linux-gnu
329   * Removed dependency on 'coreutils | stat' from control file, as
330     the dependency is satisfied within essential (Closes: #370002)
331
332  -- Barry Hawkins <barry@alltc.com>  Mon, 26 Jun 2006 11:19:08 -0400
333
334 java-package (0.27) unstable; urgency=low
335
336   * Added support for IBM Java2 5.0 JREs and JDKs (Closes: #337129)
337   * Corrected missing alternatives links for all JREs and JDKs
338     (Closes: #317492)
339   * Added conditional wrapping around dh_compress to account for
340     JRE/JDKs that do not ship manpages (Closes: 301738)
341   * Removed java-common from Provides: for JRE and JDK packages.
342
343  -- Barry Hawkins <barry@bytemason.org>  Tue, 08 Nov 2005 12:16:24 -0500
344
345 java-package (0.26) unstable; urgency=low
346
347   * Update standards version to 3.6.2
348   * Resolve issues with powerpc-linux support detection (Closes: #317671)
349   * Added support for Blackdown 1.4.2+02 release (Closes: #316831)
350   * Added support for packaging Sun JDK documentation (Closes: #272971)
351   * Modified make-jpkg behavior to default the generated packages'
352     name and email address for the maintainer to Debian Java Maintainers
353     (Closes: #325554)
354
355  -- Barry Hawkins <barry@bytemason.org>  Thu, 18 Aug 2005 00:43:17 -0400
356
357 java-package (0.25) unstable; urgency=low
358
359   * Cope with dpkg's new way of expressing architectures (Closes: #313555)
360   * Re-exec with fakeroot if needed (Closes: #310132)
361
362  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 10 Jul 2005 18:50:40 +0200
363
364 java-package (0.24) unstable; urgency=low
365
366   * Added plugin alternatives support for i386 IBM JREs and JDKs
367   * Corrected pathing for plugin alternatives to reflect difference in
368     layout between JREs and JDKs for Sun and Blackdown (Closes: #305219,
369     #301806)
370
371  -- Barry Hawkins <barry@bytemason.org>  Wed, 21 Apr 2005 01:02:03 -0400
372
373 java-package (0.23.1) experimental; urgency=low
374
375   * Added architecture-specific pathing for plugin alternatives for
376     Blackdown 1.3 and 1.4 JREs and JDKs
377
378  -- Barry Hawkins <barry@bytemason.org>  Wed, 06 Apr 2005 00:03:40 -0500
379
380 java-package (0.23) unstable; urgency=low
381
382   * Further expanded 1.3.1 Blackdown JRE/JDK support for i386
383   * Added architecture-specific pathing for plugin alternatives for
384     Sun 1.4 and 1.5 JREs and JDKs (Closes: #301806)
385   * Added recommends for system elements required by applets and
386     graphical user interface elements (Closes: #300817)
387   * Jeroen van Wolffelaar:
388     + Fixed packages description to not have too long lines, and make the 3
389       items an enumeration
390
391  -- Barry Hawkins <barry@bytemason.org>  Fri, 01 Apr 2005 00:36:40 -0500
392
393 java-package (0.22.1) experimental; urgency=low
394
395   * Corrected IBM and Blackdown JRE/JDK file size specifications
396   * Added support for additional 1.3.1 Blackdown JREs and JDKs for i386,
397     powerpc (Closes: #301092)
398   * Added installation of javaws alternative for Sun 1.5 JREs and JDKs
399     (Closes: #300303)
400
401  -- Barry Hawkins <barry@bytemason.org>  Thu, 24 Mar 2005 13:20:18 -0500
402
403 java-package (0.22) unstable; urgency=low
404
405   * Corrected IBM JRE/JDK scripts to accurately reflect the supported
406     IBM JDKs and JREs in the generated SUPPORTED file
407
408  -- Barry Hawkins <barry@alltc.com>  Fri, 18 Mar 2005 10:21:53 -0500
409
410 java-package (0.21) unstable; urgency=low
411
412   * Enable support for IBM JDKs and JREs for x86, amd64, powerpc,
413     powerpc64, and s390 architectures, based upon a patch by Rico
414     Schiekel (Closes: #264137)
415   * Enable suppport for Blackdown 1.3.1 JDK and JRE for PowerPC
416     architecture. (Closes: #296205)
417   * Update documentation and to reflect current supported JDKs and JREs
418
419  -- Barry Hawkins <barry@alltc.com>  Mon, 14 Mar 2005 03:18:39 -0500
420
421 java-package (0.20) unstable; urgency=low
422
423   * Make the postinst & rm for generated packages #!/bin/bash, as we use
424     bash-specific features (Closes: #292179)
425   * Drop the df output parsing, use '/usr/bin/stat' instead (Closes: #293487,
426     #289006, #293350)
427   * Drop the now obsolete peer stuff from the source package
428   * Change priorities, 313 for 1.3, 314 for 1.4, etc (Closes: #292451)
429   * Don't dh_strip, fiddling with upstream's binaries apparantly breaks stuff
430     (Closes: #291238)
431
432  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 08 Feb 2005 15:04:51 +0100
433
434 java-package (0.19) unstable; urgency=low
435
436   The "Joshua Kwan <joshk@debian.org> rocks!" release.
437
438   Joshua Kwan:
439   * Unclutter Debian build system and rework package slightly so that
440     *debian packages are not needed anymore. The necessary files will be
441     included in the generated packages. (Closes: #291145, #289245, #284779)
442   * Add support for Blackdown 1.4.2+01 build. (Closes: #285405)
443   * Fix support for Sun 1.5.0 amd64 builds due to typo. (Closes: #290879)
444   * Mozilla browser plugin name changed in 1.4.2 versions. Detect and correct.
445     (Closes: #273730)
446   * Use --block-size=1M instead of -BM. (Closes: #289005, #291161)
447   * Disable support for Sun JDK 1.3 due to its dependencies on libraries
448     that are simply not available anymore. (Closes: #272972)
449   * Fix up short description a little bit.
450   * Bump Standards-Version to 3.6.1 (no changes)
451   * Be a bit more conservative with the real-root test.
452   * Remove last j2se-package references.
453   * Change Suggests on fakeroot to a Depends because it is worthless both
454     as real root and as a normal user without fakeroot.
455
456   Jeroen van Wolffelaar:
457   * Use DEBFULLNAME, DEBNAME and DEBEMAIL if available, and don't ask for
458     those values in that case. (Closes: #279653)
459   * Updated documentation regarding dropped Sun 1.3 support
460   * Work around multiline df output caused by long device names
461     (Closes: #289006)
462   * Add Replaces: for the generated packages on their *debian counterparts
463
464  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 25 Jan 2005 00:05:06 +0100
465
466 java-package (0.18) unstable; urgency=low
467
468   * Added myself to Uploaders
469   * Fix security hole (inscure temp file creation) plus lots of needless I/O
470     in free disk checking function
471   * Added support for Sun's JDK/JRE 1.5 patch levels, based on a patch by
472     Peter Marschall <peter@adpm.de> (Closes: #286718, #287857)
473   * Bail out if running as real root (works around the evil parts of Sun's
474     install script that unconditionally writes to /etc, see #266273, #280707)
475   * Fix typo in j2re.sh that apparantly with some versions of
476     bash/dpkg/whatever cause package build failure (Closes: #281780, #282902)
477   * Reduce minimum expected size a bit Sun's 1.5.0 amd64 package, it was set
478     too high (Closes: #284033)
479   * Substitute package version number at build time in the make-jpkg
480     executable (Closes: #282221)
481   * Added a README.Debian explaining the existance of make-jpkg and what
482     binary packages are supported and where to get them. Thanks Thijs
483     Kinkhorst for the draft (Closes: #283362)
484   * Added automatically-generated file SUPPORTED that lists all binary
485     filenames that are supported, thanks Alex Owen <owen@cus.org.uk> for the
486     idea (Closes: #275296)
487
488  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Mon,  3 Jan 2005 18:47:47 +0100
489
490 java-package (0.17) unstable; urgency=low
491
492   * added a patch for detecting the architecture (Closes: #274844,
493     #270949, #271846). This patch should also close this one (Closes:
494     #280685).
495
496  -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:28:38 +0100
497
498 java-package (0.16) unstable; urgency=low
499
500   * added myself as an uploader.
501   * Carlos already closed the support for 1.5 request but it seems he did
502     not upload the package (Closes: #277088).
503
504  -- Arnaud Vandyck <avdyk@debian.org>  Wed, 10 Nov 2004 16:38:44 +0100
505
506 java-package (0.15) unstable; urgency=low
507
508   * lib/sun-j2re.sh: Added support for JRE 1.5.0 (aka "Java 5.0").
509   * lib/sun-j2sdk.sh: Added support for Java SDK 1.5.0.
510
511  -- Carlos Laviola <claviola@debian.org>  Mon, 11 Oct 2004 21:08:59 -0300
512
513 java-package (0.14) unstable; urgency=low
514
515   * debian/control: Commented out the lines that generate the Debian-specific
516     packages, thus making alternatives available.
517     - Also made all of the generated packages depend on their Debian-specific
518     counterparts by default.  (Closes: #266671)
519
520  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:38:31 -0300
521
522 java-package (0.13) unstable; urgency=low
523
524   * References to j2se-package are gone.  (Closes: #267642)
525   * Added support for Blackdown Java 1.4.2 RC1 JRE/SDK.  (Closes: #267643)
526
527  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:17:54 -0300
528
529 java-package (0.12) unstable; urgency=low
530
531   * remove to contrib because this package depend on non-free J2SE.
532
533  -- Takashi Okamoto <tora@debian.org>  Tue,  3 Aug 2004 00:37:13 +0900
534
535 java-package (0.11) unstable; urgency=low
536
537   * change package name java-package and the command build package is
538     make-jpkg.
539
540  -- Takashi Okamoto <tora@debian.org>  Sat, 31 Jul 2004 15:07:36 +0900
541
542 java-package (0.10) unstable; urgency=low
543
544   * change package name mpkg-j2se.
545   * not use *-j2[re|sdk]debian package. Instead of this, add package
546     dependency to generated package. This reduce the installation for
547     such extra package.
548   * SUN's jdk1.5 beta2 support.
549
550  -- Takashi Okamoto <tora@debian.org>  Sun, 18 Jul 2004 13:53:36 +0900
551
552 java-package (0.9) unstable; urgency=low
553
554   * more generic support for j2re1.3.1/j2sdk1.3.1 from SUN.
555
556   * add alternative for jarsigner (in j2sdk1.4 and j2sdk1.5 from SUN).
557
558  -- Hubert Schmid <ude2@z42.de>  Sun, 23 May 2004 23:35:14 +0200
559
560 java-package (0.8) unstable; urgency=low
561
562   * java plugin: support for mozilla-firefox.
563
564  -- Hubert Schmid <ude2@z42.de>  Tue,  4 May 2004 22:39:39 +0200
565
566 java-package (0.7) unstable; urgency=low
567
568   * Optionally create .changes file.
569
570   * Add command line options: --help, --version, --full-name,
571     --email, --changes.
572
573   * Add environment variables: J2SE_PACKAGE_FULL_NAME,
574     J2SE_PACKAGE_EMAIL.
575
576  -- Hubert Schmid <ude2@z42.de>  Sat, 27 Mar 2004 23:01:08 +0100
577
578 java-package (0.6) unstable; urgency=low
579
580   * More generic support for Java2 1.4.2 from SUN.
581
582  -- Hubert Schmid <ude2@z42.de>  Thu, 11 Mar 2004 20:39:51 +0100
583
584 java-package (0.5) unstable; urgency=low
585
586   * NEW: build Blackdown J2RE 1.4.1 (gcc-2.95) and J2SDK 1.4.1 (gcc-2.95).
587
588   * NEW: support for SUN J2RE 1.5.0 beta, SUN J2SDK 1.5.0 beta.
589
590  -- Hubert Schmid <ude2@z42.de>  Sat,  7 Feb 2004 21:57:09 +0100
591
592 java-package (0.4) unstable; urgency=low
593
594   * Added support for: SUN J2RE 1.4.2_03, SUN J2SDK 1.4.2_03
595
596  -- Hubert Schmid <ude2@z42.de>  Thu, 15 Jan 2004 22:27:52 +0100
597
598 java-package (0.3) unstable; urgency=low
599
600   * Added support for: Blackdown J2RE 1.3, 1.4, J2SDK 1.3, 1.4
601
602   * Removed usage of "du --apparent-size". This should fix a problem
603     with old fileutils.
604
605  -- Hubert Schmid <ude2@z42.de>  Sun,  9 Nov 2003 21:13:38 +0100
606
607 java-package (0.2) unstable; urgency=low
608
609   * Added support for: Sun J2RE 1.3, Sun J2SDK 1.3, Sun J2SDK 1.4
610
611   * Moved peer packages into this source package.
612
613  -- Hubert Schmid <ude2@z42.de>  Thu, 30 Oct 2003 00:10:01 +0100
614
615 java-package (0.1) unstable; urgency=low
616
617   * Initial Release.
618
619  -- Hubert Schmid <j2se-package@z42.de>  Sun, 26 Oct 2003 20:06:57 +0100